ID CVE-2019-14744
Summary In KDE Frameworks KConfig before 5.61.0, malicious desktop files and configuration files lead to code execution with minimal user interaction. This relates to libKF5ConfigCore.so, and the mishandling of .desktop and .directory files, as demonstrated by a shell command on an Icon line in a .desktop file.
References
Vulnerable Configurations
  • cpe:2.3:a:kde:kconfig:-:*:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:-:*:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:4.95.0:*:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:4.95.0:*:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:4.96.0:*:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:4.96.0:*:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:4.97.0:*:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:4.97.0:*:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:4.98.0:*:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:4.98.0:*:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:4.99.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:4.99.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:4.99.0:rc2:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:4.99.0:rc2:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:4.99.0:rc3:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:4.99.0:rc3:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:4.99.0:rc4:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:4.99.0:rc4:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:4.100.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:4.100.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:4.100.0:rc2:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:4.100.0:rc2:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.0.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.0.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.0.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.0.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.1.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.1.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.1.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.1.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.1.0:rc2:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.1.0:rc2:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.2.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.2.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.2.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.2.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.3.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.3.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.3.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.3.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.4.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.4.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.4.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.4.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.5.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.5.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.5.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.5.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.6.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.6.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.6.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.6.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.7.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.7.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.7.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.7.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.8.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.8.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.8.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.8.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.9.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.9.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.9.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.9.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.10.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.10.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.10.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.10.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.11.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.11.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.11.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.11.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.12.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.12.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.12.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.12.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.13.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.13.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.13.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.13.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.14.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.14.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.14.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.14.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.15.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.15.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.15.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.15.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.16.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.16.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.16.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.16.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.17.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.17.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.17.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.17.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.18.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.18.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.18.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.18.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.19.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.19.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.19.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.19.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.20.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.20.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.20.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.20.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.21.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.21.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.21.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.21.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.21.0:rc2:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.21.0:rc2:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.22.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.22.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.22.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.22.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.23.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.23.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.23.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.23.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.24.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.24.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.24.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.24.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.25.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.25.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.25.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.25.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.26.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.26.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.26.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.26.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.26.0:rc2:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.26.0:rc2:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.27.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.27.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.27.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.27.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.28.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.28.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.28.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.28.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.28.0:rc2:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.28.0:rc2:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.29.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.29.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.29.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.29.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.29.0:rc2:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.29.0:rc2:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.30.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.30.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.30.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.30.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.30.0:rc2:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.30.0:rc2:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.31.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.31.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.31.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.31.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.32.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.32.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.32.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.32.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.33.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.33.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.33.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.33.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.34.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.34.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.34.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.34.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.35.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.35.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.35.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.35.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.36.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.36.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.36.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.36.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.37.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.37.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.37.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.37.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.38.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.38.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.38.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.38.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.39.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.39.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.39.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.39.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.40.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.40.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.40.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.40.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.41.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.41.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.41.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.41.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.42.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.42.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.42.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.42.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.43.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.43.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.43.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.43.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.44.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.44.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.44.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.44.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.45.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.45.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.45.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.45.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.46.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.46.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.46.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.46.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.47.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.47.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.47.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.47.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.48.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.48.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.48.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.48.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.49.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.49.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.49.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.49.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.50.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.50.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.50.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.50.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.51.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.51.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.51.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.51.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.52.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.52.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.52.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.52.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.53.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.53.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.53.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.53.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.54.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.54.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.54.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.54.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.55.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.55.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.55.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.55.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.56.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.56.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.56.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.56.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.57.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.57.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.57.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.57.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.58.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.58.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.58.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.58.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.59.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.59.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.59.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.59.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.60.0:-:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.60.0:-:*:*:*:*:*:*
  • cpe:2.3:a:kde:kconfig:5.60.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:kde:kconfig:5.60.0:rc1:*:*:*:*:*:*
  • cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*
    cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*
  • cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*
    cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*
CVSS
Base: 5.1 (as of 24-08-2020 - 17:37)
Impact:
Exploitability:
CWE CWE-78
CAPEC
  • OS Command Injection
    In this type of an attack, an adversary injects operating system commands into existing application functions. An application that uses untrusted input to build command strings is vulnerable. An adversary can leverage OS command injection in an application to elevate privileges, execute arbitrary commands and compromise the underlying operating system.
  • Argument Injection
    An attacker changes the behavior or state of a targeted application through injecting data or command syntax through the targets use of non-validated and non-filtered arguments of exposed services or methods.
  • Command Delimiters
    An attack of this type exploits a programs' vulnerabilities that allows an attacker's commands to be concatenated onto a legitimate command with the intent of targeting other resources such as the file system or database. The system that uses a filter or a blacklist input validation, as opposed to whitelist validation is vulnerable to an attacker who predicts delimiters (or combinations of delimiters) not present in the filter or blacklist. As with other injection attacks, the attacker uses the command delimiter payload as an entry point to tunnel through the application and activate additional attacks through SQL queries, shell commands, network scanning, and so on.
  • Command Line Execution through SQL Injection
    An attacker uses standard SQL injection methods to inject data into the command line for execution. This could be done directly through misuse of directives such as MSSQL_xp_cmdshell or indirectly through injection of data into the database that would be interpreted as shell commands. Sometime later, an unscrupulous backend application (or could be part of the functionality of the same application) fetches the injected data stored in the database and uses this data as command line arguments without performing proper validation. The malicious data escapes that data plane by spawning new commands to be executed on the host.
  • Exploiting Multiple Input Interpretation Layers
    An attacker supplies the target software with input data that contains sequences of special characters designed to bypass input validation logic. This exploit relies on the target making multiples passes over the input data and processing a "layer" of special characters with each pass. In this manner, the attacker can disguise input that would otherwise be rejected as invalid by concealing it with layers of special/escape characters that are stripped off by subsequent processing steps. The goal is to first discover cases where the input validation layer executes before one or more parsing layers. That is, user input may go through the following logic in an application: <parser1> --> <input validator> --> <parser2>. In such cases, the attacker will need to provide input that will pass through the input validator, but after passing through parser2, will be converted into something that the input validator was supposed to stop.
Access
VectorComplexityAuthentication
NETWORK HIGH NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
cvss-vector via4 AV:N/AC:H/Au:N/C:P/I:P/A:P
redhat via4
advisories
bugzilla
id 1740138
title CVE-2019-14744 kdelibs: malicious desktop files and configuration files lead to code execution with minimal user interaction
oval
OR
  • comment Red Hat Enterprise Linux must be installed
    oval oval:com.redhat.rhba:tst:20070304026
  • AND
    • comment Red Hat Enterprise Linux 7 is installed
      oval oval:com.redhat.rhba:tst:20150364027
    • OR
      • AND
        • comment kde-settings is earlier than 0:19-23.10.el7_7
          oval oval:com.redhat.rhsa:tst:20192606001
        • comment kde-settings is signed with Red Hat redhatrelease2 key
          oval oval:com.redhat.rhsa:tst:20192141054
      • AND
        • comment kde-settings-ksplash is earlier than 0:19-23.10.el7_7
          oval oval:com.redhat.rhsa:tst:20192606003
        • comment kde-settings-ksplash is signed with Red Hat redhatrelease2 key
          oval oval:com.redhat.rhsa:tst:20192141056
      • AND
        • comment kde-settings-minimal is earlier than 0:19-23.10.el7_7
          oval oval:com.redhat.rhsa:tst:20192606005
        • comment kde-settings-minimal is signed with Red Hat redhatrelease2 key
          oval oval:com.redhat.rhsa:tst:20192141058
      • AND
        • comment kde-settings-plasma is earlier than 0:19-23.10.el7_7
          oval oval:com.redhat.rhsa:tst:20192606007
        • comment kde-settings-plasma is signed with Red Hat redhatrelease2 key
          oval oval:com.redhat.rhsa:tst:20192141060
      • AND
        • comment kde-settings-pulseaudio is earlier than 0:19-23.10.el7_7
          oval oval:com.redhat.rhsa:tst:20192606009
        • comment kde-settings-pulseaudio is signed with Red Hat redhatrelease2 key
          oval oval:com.redhat.rhsa:tst:20192141062
      • AND
        • comment qt-settings is earlier than 0:19-23.10.el7_7
          oval oval:com.redhat.rhsa:tst:20192606011
        • comment qt-settings is signed with Red Hat redhatrelease2 key
          oval oval:com.redhat.rhsa:tst:20192141064
      • AND
        • comment kdelibs is earlier than 6:4.14.8-11.el7_7
          oval oval:com.redhat.rhsa:tst:20192606013
        • comment kdelibs is signed with Red Hat redhatrelease2 key
          oval oval:com.redhat.rhsa:tst:20110464002
      • AND
        • comment kdelibs-apidocs is earlier than 6:4.14.8-11.el7_7
          oval oval:com.redhat.rhsa:tst:20192606015
        • comment kdelibs-apidocs is signed with Red Hat redhatrelease2 key
          oval oval:com.redhat.rhsa:tst:20110464004
      • AND
        • comment kdelibs-common is earlier than 6:4.14.8-11.el7_7
          oval oval:com.redhat.rhsa:tst:20192606017
        • comment kdelibs-common is signed with Red Hat redhatrelease2 key
          oval oval:com.redhat.rhsa:tst:20110464006
      • AND
        • comment kdelibs-devel is earlier than 6:4.14.8-11.el7_7
          oval oval:com.redhat.rhsa:tst:20192606019
        • comment kdelibs-devel is signed with Red Hat redhatrelease2 key
          oval oval:com.redhat.rhsa:tst:20110464008
      • AND
        • comment kdelibs-ktexteditor is earlier than 6:4.14.8-11.el7_7
          oval oval:com.redhat.rhsa:tst:20192606021
        • comment kdelibs-ktexteditor is signed with Red Hat redhatrelease2 key
          oval oval:com.redhat.rhsa:tst:20171264010
rhsa
id RHSA-2019:2606
released 2019-09-04
severity Important
title RHSA-2019:2606: kdelibs and kde-settings security and bug fix update (Important)
rpms
  • kde-settings-0:19-23.10.el7_7
  • kde-settings-ksplash-0:19-23.10.el7_7
  • kde-settings-minimal-0:19-23.10.el7_7
  • kde-settings-plasma-0:19-23.10.el7_7
  • kde-settings-pulseaudio-0:19-23.10.el7_7
  • kdelibs-6:4.14.8-11.el7_7
  • kdelibs-apidocs-6:4.14.8-11.el7_7
  • kdelibs-common-6:4.14.8-11.el7_7
  • kdelibs-debuginfo-6:4.14.8-11.el7_7
  • kdelibs-devel-6:4.14.8-11.el7_7
  • kdelibs-ktexteditor-6:4.14.8-11.el7_7
  • qt-settings-0:19-23.10.el7_7
  • kdelibs-6:4.14.8-8.el7_6
  • kdelibs-apidocs-6:4.14.8-8.el7_6
  • kdelibs-common-6:4.14.8-8.el7_6
  • kdelibs-debuginfo-6:4.14.8-8.el7_6
  • kdelibs-devel-6:4.14.8-8.el7_6
  • kdelibs-ktexteditor-6:4.14.8-8.el7_6
refmap via4
bugtraq
  • 20190808 [slackware-security] kdelibs (SSA:2019-220-01)
  • 20190812 [SECURITY] [DSA 4494-1] kconfig security update
debian DSA-4494
fedora
  • FEDORA-2019-39d23c7a94
  • FEDORA-2019-48b691092f
  • FEDORA-2019-9f2ee52c88
  • FEDORA-2019-a746ac9c89
  • FEDORA-2019-f9f78895c3
gentoo GLSA-201908-07
misc
mlist [debian-lts-announce] 20190818 [SECURITY] [DLA 1890-1] kde4libs security update
suse
  • openSUSE-SU-2019:1851
  • openSUSE-SU-2019:1855
  • openSUSE-SU-2019:1898
ubuntu USN-4100-1
Last major update 24-08-2020 - 17:37
Published 07-08-2019 - 15:15
Last modified 24-08-2020 - 17:37
Back to Top